using Newtonsoft.Json;


namespace OF_DL.Models.Dtos.Common;

public class FilesDto
{
    [JsonProperty("full")] public FullDto Full { get; set; } = new();

    [JsonProperty("thumb")] public ThumbDto Thumb { get; set; } = new();

    [JsonProperty("preview")] public PreviewDto Preview { get; set; } = new();

    [JsonProperty("squarePreview")] public SquarePreviewDto SquarePreview { get; set; } = new();

    [JsonProperty("drm")] public DrmDto? Drm { get; set; }
}
